Can't update to GA 4.2.30

Every time I try to update to the latest groove agent version it gets all the way to where it asks me 32 or 64 bit with the 64 bit box highlighted I click yes and the the windows “setup has stopped working” warning comes on and closes the process down.

I did have the trial version of GA Nashville installed but let it expire could that be it?


All the latest updates for Cubase 8.5 Windows 10 installed

No one having problems updating to latest 4.2.30? Any ideas? Thanks